org.deidentifier.arx.gui.view.impl

## Class MainMenu

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.AbstractMenu
  - - org.deidentifier.arx.gui.view.impl.MainMenu

All Implemented Interfaces:
  IView

    public class MainMenu
    extends AbstractMenu

This class implements the global main menu.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`MainMenu(org.eclipse.swt.widgets.Shell shell, Controller controller, java.util.List<MainMenuItem> items)` Creates a new instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()` Disposes the view.

### Methods inherited from class org.deidentifier.arx.gui.view.impl.AbstractMenu

`reset, update`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MainMenu

    public MainMenu(org.eclipse.swt.widgets.Shell shell,
                    Controller controller,
                    java.util.List<MainMenuItem> items)

Creates a new instance.

Parameters:
  `shell` -
  `controller` -
  `items` -

### Method Detail

#### dispose

    public void dispose()

Description copied from interface: `IView`
Disposes the view.

Specified by:
  `dispose` in interface `IView`
Overrides:
  `dispose` in class `AbstractMenu`